import java.util.*;

public class ComparatorTester_fn
{
   public static void main(String[] args)
   {
      ArrayList<Country> countries = new ArrayList<Country>();
      countries.add(new Country("Uruguay",  176220, 3.4));
      countries.add(new Country("Thailand", 514000, 67));
      countries.add(new Country("Belgium",   30528, 11));
      countries.add(new Country("Zaire",   2345410, 46.5));
      countries.add(new Country("Belize",    22966, 0.334));

      Comparator<Country> comp1 = new CountryComparatorByName();
      Comparator<Country> comp2 = new CountryComparatorByArea_fn(new Fn1());
      Comparator<Country> comp3 = new CountryComparatorByArea_fn(new Fn2());
      Comparator<Country> comp4 = new CountryComparatorByPopulation_fn(new Fn1());
      Comparator<Country> comp5 = new CountryComparatorByPopulation_fn(new Fn2());

      Collections.sort(countries, comp1);
      // Now the ArrayList is sorted by country name.
      for (Country c : countries)
        System.out.println( c );
      System.out.println();

      Collections.sort(countries, comp2);
      // Now the ArrayList is sorted by area.
      for (Country c : countries)
        System.out.println( c );
      System.out.println();

      Collections.sort(countries, comp3);
      // Now the ArrayList is sorted by area.
      for (Country c : countries)
        System.out.println( c );
      System.out.println();

      Collections.sort(countries, comp4);
      // Now the ArrayList is sorted by population.
      for (Country c : countries)
        System.out.println( c );
      System.out.println();

      Collections.sort(countries, comp5);
      // Now the ArrayList is sorted by population.
      for (Country c : countries)
        System.out.println( c );
      System.out.println();
   }
}