import java.util.*;

public class CountryComparatorByPopulation_fn implements Comparator<Country>
{
   Fn fn; // functor that holds <, >, <=, or >=

   CountryComparatorByPopulation_fn(Fn fn)
   {
      this.fn = fn;
   }

   public int compare(Country country1, Country country2)
   {
      if ( fn.fn(country1.getPopulation(), country2.getPopulation()) ) return -1;
      if (!fn.fn(country1.getPopulation(), country2.getPopulation()) ) return  1;
      return 0;
   }
}